#include <openb3d.mod/b3dglgraphics.mod/.bmx/b3dglgraphics.bmx.debug.win32.x86.h>
struct BBDebugScope_3{int kind; const char *name; BBDebugDecl decls[4]; };
struct BBDebugScope_7{int kind; const char *name; BBDebugDecl decls[8]; };
void openb3d_b3dglgraphics_Graphics3D(BBINT bbt_width,BBINT bbt_height,BBINT bbt_depth,BBINT bbt_Mode,BBINT bbt_rate,BBINT bbt_flags,BBINT bbt_usecanvas){
	struct BBDebugScope_7 __scope = {
		BBDEBUGSCOPE_FUNCTION,
		"Graphics3D",
		{
			{
				BBDEBUGDECL_LOCAL,
				"width",
				"i",
				.var_address=&bbt_width
			},
			{
				BBDEBUGDECL_LOCAL,
				"height",
				"i",
				.var_address=&bbt_height
			},
			{
				BBDEBUGDECL_LOCAL,
				"depth",
				"i",
				.var_address=&bbt_depth
			},
			{
				BBDEBUGDECL_LOCAL,
				"Mode",
				"i",
				.var_address=&bbt_Mode
			},
			{
				BBDEBUGDECL_LOCAL,
				"rate",
				"i",
				.var_address=&bbt_rate
			},
			{
				BBDEBUGDECL_LOCAL,
				"flags",
				"i",
				.var_address=&bbt_flags
			},
			{
				BBDEBUGDECL_LOCAL,
				"usecanvas",
				"i",
				.var_address=&bbt_usecanvas
			},
			BBDEBUGDECL_END 
		}
	};
	bbOnDebugEnterScope(&__scope);
	struct BBDebugStm __stmt_0 = {"X:/BlitzMaxNG/mod/openb3d.mod/b3dglgraphics.mod/b3dglgraphics.bmx", 44, 0};
	bbOnDebugEnterStm(&__stmt_0);
	openb3d_openb3dex_TGlobal_Graphics3D_i_iiiiiii(bbt_width,bbt_height,bbt_depth,bbt_Mode,bbt_rate,bbt_flags,bbt_usecanvas);
	bbOnDebugLeaveScope();
}
void openb3d_b3dglgraphics_Text(BBINT bbt_x,BBINT bbt_y,BBSTRING bbt_Text){
	struct BBDebugScope_3 __scope = {
		BBDEBUGSCOPE_FUNCTION,
		"Text",
		{
			{
				BBDEBUGDECL_LOCAL,
				"x",
				"i",
				.var_address=&bbt_x
			},
			{
				BBDEBUGDECL_LOCAL,
				"y",
				"i",
				.var_address=&bbt_y
			},
			{
				BBDEBUGDECL_LOCAL,
				"Text",
				"$",
				.var_address=&bbt_Text
			},
			BBDEBUGDECL_END 
		}
	};
	bbOnDebugEnterScope(&__scope);
	struct BBDebugStm __stmt_0 = {"X:/BlitzMaxNG/mod/openb3d.mod/b3dglgraphics.mod/b3dglgraphics.bmx", 51, 0};
	bbOnDebugEnterStm(&__stmt_0);
	openb3d_openb3dex_TBlitz2D_Text_i_iiS(bbt_x,bbt_y,bbt_Text);
	bbOnDebugLeaveScope();
}
static int __bb_openb3d_b3dglgraphics_b3dglgraphics_inited = 0;
int __bb_openb3d_b3dglgraphics_b3dglgraphics(){
	if (!__bb_openb3d_b3dglgraphics_b3dglgraphics_inited) {
		__bb_openb3d_b3dglgraphics_b3dglgraphics_inited = 1;
		__bb_brl_blitz_blitz();
		__bb_openb3d_openb3dex_openb3dex();
		struct BBDebugScope __scope = {
			BBDEBUGSCOPE_FUNCTION,
			"b3dglgraphics",
			{
				BBDEBUGDECL_END 
			}
		};
		bbOnDebugEnterScope(&__scope);
		bbOnDebugLeaveScope();
		return 0;
	}
	return 0;
}